package de.limited_dev.lil_judd.commands;

import de.limited_dev.lil_judd.commands.components.Command;
import de.limited_dev.lil_judd.features.MapManager;
import de.limited_dev.lil_judd.features.components.maps.MapData;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class TranslateCommand extends Command {
    public TranslateCommand() {
        super("translatemap");
    }

    @Override
    public void onSlashCommandInteraction(SlashCommandInteractionEvent event) {
        String map = event.getOption("map").getAsString().toLowerCase();
        MapData md = MapManager.getMapData(map);
        if (md == null) {
            EmbeddedMessageHelper.sendSimpleOneLiner(event, "404: Not found", "This Map does not exist.\nCheck for spelling mistakes", null);
            return;
        }
        EmbeddedMessageHelper.sendSimpleOneLiner(event, "Map Translator", "ENG: " + md.getNameEN() + "" +
                "\nDE: " + md.getNameDE(), md.getMapLink());
    }
}
